Debian Bug report logs - #647901
PTS: inform when a package is involved in a transition

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Mon, 7 Nov 2011 13:12:46 UTC

Severity: wishlist

Fixed in version 2700

Done: Raphaël Hertzog <hertzog@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-release@lists.debian.org, debian-qa@lists.debian.org:
Bug#647901; Package qa.debian.org. (Mon, 07 Nov 2011 13:12:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to debian-release@lists.debian.org, debian-qa@lists.debian.org. (Mon, 07 Nov 2011 13:12:50 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: PTS: inform when a package is involved in a transition
Date: Mon, 7 Nov 2011 14:11:23 +0100
Package: qa.debian.org
Severity: wishlist
User: qa.debian.org@packages.debian.org
Usertags: pts

It would be nice if the PTS informed the maintainers that a package is
currently involved in some ongoing transition (to testing) so that
they can refrain from doing unnecessary uploads.

The release team is exporting a list of affected packages at
this URL:
http://release.debian.org/transitions/export/packages.yaml

For each package there's a list of transitions and for each transition,
there's an associated status. For our own needs, we can safely ignore
any transition listed as "permanent", "finished", we only care about
transitions marked as "ongoing" and also those marked as "planned" to
give some advance notice maybe.

We should also include an URL to the associated tracker:
http://release.debian.org/transitions/html/<transition>.html

(For example http://release.debian.org/transitions/html/ocaml.html)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647901; Package qa.debian.org. (Mon, 07 Nov 2011 14:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 07 Nov 2011 14:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 647901@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 647901@bugs.debian.org
Subject: Re: Bug#647901: PTS: inform when a package is involved in a transition
Date: Mon, 7 Nov 2011 15:31:36 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov 07, 2011 at 02:11:23PM +0100, Raphael Hertzog wrote:
> It would be nice if the PTS informed the maintainers that a package is
> currently involved in some ongoing transition (to testing) so that
> they can refrain from doing unnecessary uploads.

I've implemented a long time ago support for listing the packages that
are blocked by ftp-master due to ongoing transitions. Here are the
relevant lines from various files:

----- update_incoming.sh -----
# ongoing transitions
nice_wget http://ftp-master.debian.org/transitions.yaml \
    transitions.yaml
------------------------------

---- other_to_xml.py ----
def read_transitions(fname):
    y = yaml.load(file(fname))
    packages = {} # maps pkg to the _list_ of transitions they are involved in
    for id, transition in y.iteritems():
        for pkg in transition['packages']:
            if not packages.has_key(pkg):
                packages[pkg] = []
            packages[pkg].append(id)
    return packages
-------------------------

---- pts.xsl ----
	<div class="warning">
	  <!-- XXX unappropriate <ul>, just to make the text looks like other
	       boxes, should be fixed on the CSS side (getting rid of <ul>) -->
	  <p>This package is part of <em><xsl:value-of select="$transno" /> ongoing
	      testing transition<xsl:if test="$transno != '1'">s</xsl:if></em>
	    (namely: <tt><xsl:value-of select="$translist" /></tt>). For
	    more information see the
	    <a href="http://ftp-master.debian.org/transitions.yaml">transition
	      status file</a>.<br />
	    <em>Uploads to unstable will be rejected</em> while
	    transitions are ongoing; you might want to upload to
	    experimental in the meantime, or
	    contact <tt><a href="mailto:debian-release@lists.debian.org">debian-release</a></tt>
	    if an upload is really necessary.
	  </p>
	</div>
-----------------

I've the impression that nowadays the Release Team does not use anymore
ftp-master hard blocks (or quite sparingly). It would make sense to
extend the *current* code (instead of implementing something entirely
new) to emit the above warning in both cases: a) ftp-master block, b)
transition listed in the transition tracker.

The message might need generalization as well.

JFYI,
Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Reply sent to Raphaël Hertzog <hertzog@alioth.debian.org>:
You have taken responsibility. (Wed, 11 Jan 2012 09:52:48 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 09:52:56 GMT) Full text and rfc822 format available.

Message #15 received at 647901-done@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@alioth.debian.org>
To: 647901-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2700
Date: Wed, 11 Jan 2012 09:50:43 +0000
Version: 2700

This bug was closed by Raphaël Hertzog (hertzog) in SVN revision 2700.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Extend PTS to display a warning for packages involved in transitions.
Closes: #647901






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Feb 2012 07:33:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:14:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.